#include <bits/stdc++.h>
#define ll long long
#define F first
#define S second

using namespace std;

pair <double, int> a[200010];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    ll n, zbir=0;
    double maxrez=0.0;
    cin >> n;
    for(ll i=0;i<n;i++)
    {
        cin >> a[i].S >> a[i].F;
        zbir+=a[i].S;
    }
    sort(a, a+n);
    for(ll i=0;i<n;i++)
    {
        maxrez=max(a[i].F/100.0*(double)(zbir), maxrez);
        zbir-=a[i].S;
    }
    cout << fixed << maxrez << "\n";
    return 0;
}